Chuyển đến nội dung chính
GET
/
suno
/
fetch
/
{task_id}
Truy vấn tác vụ nhạc theo ID
curl --request GET \
  --url https://api.aiid.edu.kg/suno/fetch/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "code": "success",
  "message": "",
  "data": {
    "task_id": "task_xxx",
    "platform": "suno",
    "action": "MUSIC",
    "status": "SUCCESS",
    "progress": "100%",
    "result_url": "https://example.com/audio.mp3",
    "properties": {
      "upstream_model_name": "suno_music",
      "origin_model_name": "suno-v5"
    },
    "data": [
      {
        "id": "clip_xxx",
        "title": "夏日海风",
        "audio_url": "https://example.com/audio.mp3",
        "image_url": "https://example.com/cover.jpg",
        "model_name": "suno-v5",
        "metadata": {
          "duration": 180,
          "prompt": "轻快电子流行,夏日海边,女声 旋律"
        }
      }
    ]
  }
}

Ủy quyền

Authorization
string
header
bắt buộc

Sử dụng xác thực Bearer Token. Định dạng: Authorization: Bearer sk-xxxxxx

Tham số đường dẫn

task_id
string
bắt buộc

ID tác vụ được trả về khi gửi tác vụ âm nhạc.

Ví dụ:

"task_xxx"

Phản hồi

200 - application/json

OK

code
string

Khi thành công là success.

Ví dụ:

"success"

message
string

Thông báo lỗi hoặc thông báo nhắc.

data
object